Page 1 of 1

Extra frameworks link

Posted: Sat Jan 30, 2010 5:46 pm
by dkagedal
I did the bzr branch to get the current sources to play with. But when I tried to down load the required additional frameworks from http://sbooth.org/Play/#download I only got a link pointing to a non-existing .tar.gz file. Is there a new download that works?

Re: Extra frameworks link

Posted: Sat Jan 30, 2010 8:39 pm
by sbooth

Re: Extra frameworks link

Posted: Sun Jan 31, 2010 9:06 pm
by dkagedal
Sorry, but it doesn't seem to work for me:

/Users/david/playosx/English.lproj/AudioLibrary.xib:0:0 Unable to resolve plug-in dependency for "AudioLibrary.xib".

/Users/david/playosx/English.lproj/HotKeyPreferences.xib:0:0 Unable to resolve plug-in dependency for "HotKeyPreferences.xib".

/Users/david/playosx/AudioLibrary/AudioLibrary.m:93:0 /Users/david/playosx/AudioLibrary/AudioLibrary.m:93:23: error: sfmt19937.h: No such file or directory

/Users/david/playosx/AudioLibrary/AudioLibrary.m:399:0 /Users/david/playosx/AudioLibrary/AudioLibrary.m:399: error: implicit declaration of function 'init_gen_rand'

/Users/david/playosx/AudioLibrary/AudioLibrary.m:1147:0 /Users/david/playosx/AudioLibrary/AudioLibrary.m:1147: error: implicit declaration of function 'genrand_real2'

Do I need to do something else to build from the bzr checkout?

Re: Extra frameworks link

Posted: Fri Apr 16, 2010 7:01 am
by dkagedal
dkagedal wrote:Sorry, but it doesn't seem to work for me:

/Users/david/playosx/English.lproj/AudioLibrary.xib:0:0 Unable to resolve plug-in dependency for "AudioLibrary.xib".
Now I checked out from GitHub instead, but I still get this build problem. This is the complete build problem:

/* com.apple.ibtool.errors */
/Users/david/src/Play/English.lproj/AudioLibrary.xib: error: Unable to resolve plug-in dependency for "AudioLibrary.xib".
Recovery Suggestion: Locate the net.brockerhoff.RBSplitView.IBPlugin Interface Builder plug-in to continue opening this document. Consider using the --plugin option or Interface Builder's plug-in preferences to resolve this dependency.
Underlying Errors:
Description: Could not load plug-in.
Failure Reason: Could not determine the location of the plug-in with the identifier net.brockerhoff.RBSplitView.IBPlugin

I can see RBSplitView inside the ThirdParty directory, but I don't know enough about xcode to figure out what is wrong.

Re: Extra frameworks link

Posted: Fri Apr 16, 2010 7:03 am
by dkagedal
By the way, I'm using Xcode version 3.2.1 on OS X 10.6.3.

Re: Extra frameworks link

Posted: Fri Apr 16, 2010 7:12 am
by dkagedal
When I double-click on the error, it opens up Interface Builder and asks me to locate the missing plugin. the only thing I manage to point it at is ThirdParty/RBSplitView/build/Debug/RBSplitView.framework/Versions/A/RBSplitView, but then something funny happens. It makes IB crash with an assertion error:

Assertion Message: Two plug-ins (net.brockerhoff.RBsplitView.IBPlugin and net.brockerhoff.RBSplitView.IBPlugin) both integrate a class description for the class RBSplitSubview. The primary definition for the class should only come from one plug-in; the other plug-in should be declaring a category. Declaring a category is accomplished by omitting the super class from classdescription file.